Bug 155941 - Konqueror does not redraw/fully-unfocus widgets that have been unfocused when focus is moved to the main application
Summary: Konqueror does not redraw/fully-unfocus widgets that have been unfocused when...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 60 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords: triaged
: 165208 167687 183946 186468 190836 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-16 20:10 UTC by David Benjamin
Modified: 2010-02-13 18:04 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot (4.09 KB, image/png)
2008-01-16 20:13 UTC, David Benjamin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Benjamin 2008-01-16 20:10:52 UTC
Version:            (using KDE 4.0.0)
Installed from:    Ubuntu Packages
OS:                Linux

Steps to Reproduce:
1. Open any website with text fields (for example, this one)
2. Focus the text field, so that the text cursor is blinking and Oxygen's focus glow is there
3. Click the address bar

Result:
The website text field retains both the focus glow and the blinking text cursor, but when the cursor causes a redraw, the area redrawn is white like an unfocused text field.

I expect the widget is not redrawn to take into account the loss of focus. (Hrmm, would an unfocused text field still have the blinking cursor anyway?)
Comment 1 David Benjamin 2008-01-16 20:13:34 UTC
Created attachment 23080 [details]
Screenshot

(There is a text cursor in the middle of the white square, but I didn't catch
it in the screenshot.)
Comment 2 David Benjamin 2008-07-05 00:21:20 UTC
For the record, I can confirm this still occurs on trunk.
Comment 3 Dario Andres 2008-08-26 01:14:23 UTC
Using KDE 4.1.1 (KDE 4.1.0 (4.1 >= 20080722)) (KDEmod) in ArchLinux i686:
I can confirm this behaviour.

This also happens in trunk (KDE4.2 svn (kdelibs rev.851858 and kdebase rev.851866))
Comment 4 Jaime Torres 2008-11-12 12:40:40 UTC
It is still present in trunk svn r882080
Comment 5 Dario Andres 2008-12-26 15:15:52 UTC
*** Bug 167687 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2008-12-31 17:49:29 UTC
*** Bug 165208 has been marked as a duplicate of this bug. ***
Comment 7 Dario Andres 2009-03-07 22:16:50 UTC
*** Bug 186468 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2009-04-28 00:55:30 UTC
*** Bug 190836 has been marked as a duplicate of this bug. ***
Comment 9 Dario Andres 2009-04-28 00:55:48 UTC
*** Bug 183946 has been marked as a duplicate of this bug. ***
Comment 10 Alec Moskvin 2010-02-02 21:30:20 UTC
Aside from being annoying, this is actually a security issue, since the user might (as I just did a minute ago) start typing a password, expecting it to be entered in the password box, when instead it gets put somewhere else, for everyone to see. An unfocused input should never have a blinking cursor!

Qt: 4.6.1
KDE Development Platform: 4.3.98 (KDE 4.3.98 (KDE 4.4 RC3))
Konqueror: 4.3.98 (KDE 4.3.98 (KDE 4.4 RC3))
Comment 11 Germain Garand 2010-02-13 18:04:16 UTC
SVN commit 1089661 by ggarand:

don't let a form widget keep a blinking cursor when
the focus is changed to an external widget (e.g. the location bar)

BUG: 155941

 M  +7 -2      khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1089661